contains.hpp File Reference

## Functions

template<typename I , typename S , typename T , typename P = identity>
constexpr auto | ranges::contains (I first, S last, const T &val, P proj={}) -> bool requires input_iterator< I > &&sentinel_for< S, I > &&indirect_relation< equal_to, projected< I, P >, const T *>
| function template `contains`
template<typename Rng , typename T , typename P = identity>
constexpr auto | ranges::contains (Rng &&rng, const T &val, P proj={}) -> bool requires input_range< Rng > &&indirect_relation< equal_to, projected< iterator_t< Rng >, P >, const T *>